Create redeem voucher request

Creates a request to redeem a voucher.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Request

This endpoint expects an object.
attributedRewardIdstringOptionalformat: "uuid"
Unique identifier for the attributed reward
codestringOptional
Redemption code for the reward
contactIdlongOptional>=1
Unique identifier for the contact
loyaltySubscriptionIdstringOptional
Identifier for the loyalty subscription
metamap from strings to anyOptional
Additional metadata associated with the redeem request
orderobjectOptional
Order details for the redemption
rewardIdstringOptionalformat: "uuid"
Unique identifier for the reward
ttlintegerOptional>=1
Time to live in seconds for the redemption request
autoCompletebooleanOptional
Whether the redemption should be automatically completed

Response

Redeem request successfully created
cancelledAtdatetimeOptional
Timestamp when the redemption was cancelled
completedAtdatetimeOptional
Timestamp when the redemption was completed
contactIdlongOptional
Unique identifier for the contact
createdAtdatetimeOptional
Timestamp when the redemption was created
debitTransactionIdstringOptionalformat: "uuid"
Unique identifier for the debit transaction
expiresAtdatetimeOptional
Timestamp when the redemption expires
idstringOptionalformat: "uuid"
Unique identifier for the redemption
loyaltyProgramIdstringOptionalformat: "uuid"
Unique identifier for the loyalty program
metamap from strings to anyOptional
Additional metadata associated with the redemption
rejectReasonstringOptional
Reason for rejection if the redemption was rejected
rejectedAtdatetimeOptional
Timestamp when the redemption was rejected
rewardAttributionIdstringOptionalformat: "uuid"
Unique identifier for the reward attribution
statusstringOptional
Current status of the redemption
updatedAtdatetimeOptional
Timestamp when the redemption was last updated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
412
Precondition Failed Error
417
Expectation Failed Error
422
Unprocessable Entity Error
500
Internal Server Error